Cyberduck Mountain Duck CLI

#9130 closed defect (fixed)

Download-overwrite deletes local file but fails to download file

Reported by: moghilemear Owned by: dkocher
Priority: highest Milestone: 4.8
Component: core Version: 4.7.3
Severity: critical Keywords: Drag & Drop Download
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description (last modified by moghilemear)

Drag & Drop download-overwrite deletes local file but fails to download file.

Expected (previous) behavior:

  1. select & drag file from remote server to local directory with identical file name (aka overwrite) should result in the remote file being downloaded and replacing the identically named file in the local directory.

Actual behavior with 4.7.3

  1. select & drag file from remote server to local file system directory with identical filename. In my configuration, it first asks if I want to Overwrite, I select "Continue", and it deletes the local file with the identical name. This is a critical failure.
  2. if there is no file by that name (aka no-overwrite), it simply downloads the file.
  3. It appears that the overwrite action is deficient and interrupting/preventing the download.

Change History (7)

comment:1 Changed on Nov 22, 2015 at 10:17:08 PM by moghilemear

  • Description modified (diff)

comment:2 Changed on Nov 24, 2015 at 11:38:30 AM by dkocher

  • Milestone set to 4.8
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from D&D download-overwrite deletes local file but fails to download file to Drag and drop download-overwrite deletes local file but fails to download file

comment:3 Changed on Nov 24, 2015 at 11:39:06 AM by dkocher

#9077 closed as duplicate.

comment:4 Changed on Jan 4, 2016 at 1:16:52 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Please update to the latest snapshot build available and reopen the ticket if you can still reproduce.

comment:5 Changed on Jan 21, 2016 at 12:47:55 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Summary changed from Drag and drop download-overwrite deletes local file but fails to download file to Download-overwrite deletes local file but fails to download file

comment:6 Changed on Jan 21, 2016 at 1:19:29 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r19157.

comment:7 Changed on Jan 21, 2016 at 1:58:04 PM by dkocher

Please update to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software